%define snap 2007-03-19
Name:		zd1211-firmware
Version:	1.3
Release:	4%{?dist}
Summary:	Firmware for wireless devices based on zd1211 chipset
Group:		System Environment/Kernel
License:	GPL 
URL:		http://zd1211.ath.cx/
#URL:		http://www.deine-taler.de/zd1211/
Source0:	http://www.deine-taler.de/zd1211/snapshots/zd1211rw_fw_%{snap}.tar.bz2
Patch0:		zd1211rw_fw-Makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch


%description
This package contains the firmware required to work with the zd1211 chipset.


%prep
%setup -q -n zd1211rw_fw_%{snap}
%patch0 -p1 -b .123


%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install FW_DIR=$RPM_BUILD_ROOT/lib/firmware/zd1211 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
/lib/firmware/zd1211


%changelog
* Mon Mar 19 2007 kwizart < kwizart at gmail.com > - 1.3-4
- Update to snap 2007-03-19 but still no changes from Dec 26 2006.
- Drop devel is not usefull
- Use patch for sudo and zd1211b install
- Fix description/summary

* Sun Feb 23 2007 kwizart < kwizart at gmail.com > - 1.3-3
- Update to the snapshot source zd1211rw_fw_2007-02-23
 Timestramp didn't changed from 26-12-2006 so don't think date
 will tell anything in that case. I Prefer to wait for release tarball
 to fix any number version is that necessary.
- Uses of $RPM_OPT_FLAGS in place of CFLAGS += -Wall

* Sun Feb 11 2007 kwizart < kwizart at gmail.com > - 1.3-2
- Bundle the original vendor driver used to generate the firmware.

* Sat Jan  6 2007 kwizart < kwizart at gmail.com > - 1.3-1
- Update to 1.3

* Wed Oct 11 2006 kwizart < kwizart at gmail.com > - 1.2-1_FC5
- inital release.
